Foxit PDF SDK

Public Member Functions | Public Attributes | List of all members
foxit::MenuList Class Reference

Inherits Object.

## Public Member Functions
| MenuList ()
| Constructor.
| MenuList (const MenuList &menu_list)
| Constructor, with another menu list object. More...
| MenuList (int level, const wchar_t *name, MenuListArray sub_menu_list_array)
| Constructor, with parameters. More...
MenuList & | operator= (const MenuList &menu_list)
| Assign operator. More...
void | Set (int level, const wchar_t *name, MenuListArray sub_menu_list_array)
| Set values. More...

## Public Attributes
int | level
| The level of menu. More...
WString | name
| The title of menu.
MenuListArray | sub_menu_list_array
| The sub menu array.

## Detailed Description

This class represents menu list.

## Constructor & Destructor Documentation

## ◆ MenuList() [1/2]

foxit::MenuList::MenuList | ( | int | level,
|  | const wchar_t * | name,
|  | MenuListArray | sub_menu_list_array
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | level | Level of menu.
  [in] | name | Title of menu.
  [in] | sub_menu_list_array | The sub menu list array.

## ◆ MenuList() [2/2]

foxit::MenuList::MenuList | ( | const MenuList & | menu_list | ) |
| inline

Constructor, with another menu list object.

Parameters

  [in] | menu_list | Another menu list object.

## Member Function Documentation

## ◆ operator=()

MenuList& foxit::MenuList::operator= | ( | const MenuList & | menu_list | ) |
| inline

Assign operator.

Parameters

  [in] | menu_list | Another menu list object.

Returns
  Reference to current object itself.

## ◆ Set()

void foxit::MenuList::Set | ( | int | level,
|  | const wchar_t * | name,
|  | MenuListArray | sub_menu_list_array
| ) |  |
| inline

Set values.

Parameters

  [in] | level | Level of menu.
  [in] | name | Title of menu.
  [in] | sub_menu_list_array | The sub menu list array.

Returns
  None.

## Member Data Documentation

## ◆ level

int foxit::MenuList::level

The level of menu.

Deprecated:
  Current member variable has been deprecated since Foxit PDF SDK 8.3.